### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-card/ecl-card-link-item.component.ts`

### Extends

`ECLBaseDirective`

### Implements

`AfterContentInit`

### Metadata

selector | `ecl-card-link-item`
styles | `:host { display: list-item; }`
templateUrl | `./ecl-card-link-item.component.html`

### Index

###### Properties

- eclLinks

###### Methods

- getCssClasses

###### Inputs

- class
- e2eAttr

###### HostBindings

- class

###### Accessors

- cssClasses

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

### HostBindings

class
Type : `any`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Properties

eclLinks
Type : `QueryList<EclLinkDirective>`
Decorators : `@ContentChildren(undefined)`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""